from .logger import logger

def generate_error_list(input_data, status, message):
    try:
        response_list = []
        serial_list = [each_dict_in_input['serial'] for each_dict_in_input in input_data]
        for serial in serial_list:
            response_list.append({"serial": serial, "status": status, "message": message})
        return response_list
    except Exception as e:
        logger.error("Error generating error list")

def validate_input(req_input, input_data):
    incorrect_input_list = []
    for each_input in input_data:
        if list(each_input.keys()) != req_input:
            incorrect_input_list.append(each_input)
    return incorrect_input_list